## ros-crystal-gazebo-plugins 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gazebo_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(camera_info_manager REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(image_transport REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)

include_directories(include
  ${gazebo_dev_INCLUDE_DIRS}
  ${gazebo_ros_INCLUDE_DIRS}
  ${geometry_msgs_INCLUDE_DIRS}
  ${image_transport_INCLUDE_DIRS}
  ${nav_msgs_INCLUDE_DIRS}
  ${sensor_msgs_INCLUDE_DIRS}
  ${tf2_ros_INCLUDE_DIRS}
  ${tf2_INCLUDE_DIRS}
)
link_directories(${gazebo_dev_LIBRARY_DIRS})

# gazebo_ros_joint_state_publisher
add_library(gazebo_ros_joint_state_publisher SHARED
  src/gazebo_ros_joint_state_publisher.cpp
)
ament_target_dependencies(gazebo_ros_joint_state_publisher
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
  "sensor_msgs"
)
ament_export_libraries(gazebo_ros_joint_state_publisher)

# gazebo_ros_diff_drive
add_library(gazebo_ros_diff_drive SHARED
  src/gazebo_ros_diff_drive.cpp
)
ament_target_dependencies(gazebo_ros_diff_drive
  "gazebo_dev"
  "gazebo_ros"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_diff_drive)

# gazebo_ros_force
add_library(gazebo_ros_force SHARED
  src/gazebo_ros_force.cpp
)
ament_target_dependencies(gazebo_ros_force
  "gazebo_dev"
  "gazebo_ros"
  "geometry_msgs"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_force)

# gazebo_ros_template
add_library(gazebo_ros_template SHARED
  src/gazebo_ros_template.cpp
)
ament_target_dependencies(gazebo_ros_template
  "gazebo_dev"
  "gazebo_ros"
  "rclcpp"
)
ament_export_libraries(gazebo_ros_template)

# gazebo_ros_camera
add_library(gazebo_ros_camera SHARED
  src/gazebo_ros_camera.cpp
)
ament_target_dependencies(gazebo_ros_camera
  "camera_info_manager"
  "gazebo_dev"
  "gazebo_ros"
  "image_transport"
  "rclcpp"
  "sensor_msgs"
  "std_msgs"
)
target_link_libraries(gazebo_ros_camera
  CameraPlugin
)
ament_export_libraries(gazebo_ros_camera)

# gazebo_ros_imu_sensor
add_library(gazebo_ros_imu_sensor SHARED
  src/gazebo_ros_imu_sensor.cpp
)
ament_target_dependencies(gazebo_ros_imu_sensor
  "gazebo_ros"
  "sensor_msgs"
  "gazebo_dev"
)
target_link_libraries(gazebo_ros_imu_sensor
  ImuSensorPlugin
)
ament_export_libraries(gazebo_ros_imu_sensor)

# gazebo_ros_ray_sensor
add_library(gazebo_ros_ray_sensor SHARED
  src/gazebo_ros_ray_sensor.cpp
)
ament_target_dependencies(gazebo_ros_ray_sensor
  "gazebo_ros"
  "sensor_msgs"
)
ament_export_libraries(gazebo_ros_ray_sensor)

add_library(gazebo_ros_p3d SHARED
  src/gazebo_ros_p3d.cpp
)
ament_target_dependencies(gazebo_ros_p3d
  "gazebo_ros"
  "gazebo_dev"
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
  "tf2_geometry_msgs"
  "tf2_ros"
)
ament_export_libraries(gazebo_ros_p3d)

ament_export_include_directories(include)
ament_export_dependencies(rclcpp)
ament_export_dependencies(gazebo_dev)
ament_export_dependencies(gazebo_ros)

if(BUILD_TESTING)
  add_subdirectory(test)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(DIRECTORY include/
        DESTINATION include)

install(TARGETS
    gazebo_ros_camera
    gazebo_ros_diff_drive
    gazebo_ros_force
    gazebo_ros_imu_sensor
    gazebo_ros_joint_state_publisher
    gazebo_ros_ray_sensor
    gazebo_ros_p3d
    gazebo_ros_template
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY
  worlds
  DESTINATION share/${PROJECT_NAME}/
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(cv_bridge REQUIRED)

option(ENABLE_DISPLAY_TESTS "Enable the building of tests that requires a display" OFF)

# Worlds
file(GLOB worlds RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "worlds/*.world")
foreach(world ${worlds})
  # Use configure_file so this is rerun each time make is invoked (as opposed to just cmake)
  configure_file(${world} ${world} COPYONLY)
endforeach()

# Tests
set(tests
  test_gazebo_ros_diff_drive
  test_gazebo_ros_force
  test_gazebo_ros_imu_sensor
  test_gazebo_ros_joint_state_publisher
  test_gazebo_ros_p3d
  test_gazebo_ros_ray_sensor
)

if(ENABLE_DISPLAY_TESTS)
set(tests ${tests}
  test_gazebo_ros_camera
  # TODO(louise) Test hangs on teardown while destroying 2nd node
  # test_gazebo_ros_camera_distortion
  test_gazebo_ros_camera_triggered
)
endif()

foreach(test ${tests})
  ament_add_gtest(${test}
    ${test}.cpp
    WORKING_DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}
    # Long timeout because has to run gazebo several times
    TIMEOUT
      120
  )
  target_link_libraries(${test}
    gazebo_test_fixture
  )
  ament_target_dependencies(${test}
    "cv_bridge"
    "gazebo_dev"
    "gazebo_ros"
    "geometry_msgs"
    "image_transport"
    "nav_msgs"
    "rclcpp"
    "sensor_msgs"
  )
endforeach()

=== debian/changelog ===
ros-crystal-gazebo-plugins (3.2.0-0bionic) bionic; urgency=high

  * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
  * [ros2] Fix diff_drive error message (#882 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/882>)
  * Fix Windows conflicting macros and missing usleep (#885 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/885>)
    * Fix conflicting Windows macros and missing usleep
    * fix spacing
    * fix spacing again
    * remove lint
  * gazebo_plugins: Port the gazebo_ros_p3d plugin (#845 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/845>)
    * Port the gazebo_ros_p3d plugin
    * Address most of the review feedback. A couple items remain
    * Remove the model_ member variable since it was just and alias for _parent
    * Use OnUpdate instead to get the UpdateInfo through the callback parameter
    * demo, test, and a bit more cleaning up
    * linters
  * [ros2] ENABLE_DISPLAY_TESTS, and make camera tests more robust (#854 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/854>)
  * Contributors: Jonathan Noyola, Michael Jeronimo, Romain Reignier, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Mar 2019 07:00:00 -0000

ros-crystal-gazebo-plugins (3.1.0-0bionic) bionic; urgency=high

  * [ros2] Camera and triggered camera (#827 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/827>)
    * move gazebo_ros_camera and some functionality from gazebo_ros_camera_utils, needs master branch of image_transport and message_filters, not functional, but compiling
    * port PutCameraData, needs common_interfaces PR #58 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/58>
    * move camera worlds, fix compilation, image can be seen on RViz
    * Port camera test: simplify world, use ServerFixture for better control and not to need launch - test is hanging on exit, not sure why
    * fix test hanging on exit
    * port camera16bit test and fix world copying on make
    * Start porting camera distortion tests: must port cam_info, 2nd test failing
    * sortout camera_name and frame_name
    * Port gazebo_ros_camera_triggered as part of gazebo_ros_camera, with test
    * Use camera_info_manager from branch ci_manager_port_louise, enable barrel distortion test - passes but segfaults at teardown, could be a problem with having 2 plugins side-by-side.
    * linters and comment out crashing test
    * Demo worlds, doxygen, more node tests
    * Use image_transport remapping
    * adapt to new image_transport pointer API
    * new API
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-plugins (3.0.0-0bionic) bionic; urgency=high

  * Reliable QoS with depth of 1 (#819 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/819>)
  * Switch to use sensor_data qos setting for short queue sizes. (#815 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/815>)
    * Switch to use sensor_data qos setting for short queue sizes.
    * Use same QoS profile on test
  * [ros2] Port diff_drive plugin to ros2 (#806 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/806>)
    * copy gazebo_ros_diff_drive files from unported
    * Fix copy and paste error for exporting  gazebo_ros_joint_state_publisher
    * Add gazebo_ros_diff_drive to CMakeLists.txt
    * Basic structures updated
    includes updated
    include guards updated
    CMake rules added
    Not compiling yet
    * starting deboostifying
    updating lock
    header passing compile
    diff drive plugin compiling
    clear all references to callback queue
    * pimpl, remove joint state publisher
    * documentation, add TF publishers - commands and publishers work, but visualization on RViz is jerky, must check
    * pass linters
    * check that reset works now, rename params, add missing package
    * remap topics, add pub/sub test
    * sleep longer to see if it passes on Jenkins
  * Remove node_name from <ros> SDF tag (#804 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/804>)
    * Rename Node::Create to Node::Get
    * Node::Get without node name
    * Remove node_name support from SDF
    * wip get name from plugin name
    * Remove node name argument (will be inferred from sdf)
    * fix tests and implement static shared node
    * Adding test file
  * [ros2] Remove unnecessary IMU include (#805 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/805>)
    * removing redundant dependencies
    * Clear unnecessary include in imu_sensor header
  * [ros2] Split conversions into headers specific to message packages (#803 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/803>)
    * Tests depend on sensor_msgs
    * Move conversions to different headers to minimise deps brought in
    * Remove conversions namespace
    * Include updates
    * Update message package dependencies
    gazebo_ros doesn't need sensor_msgs or geometry_msgs anymore
    * Export msg pacakges so downstream packages depend
    * Include msg headers used directly
    * removing redundant dependencies
    * fix build and cpplint
  * working demo, notes and warnings about issues
  * Add more examples, need to debug some
  * tweaks to includes
  * Test correctness of ray_sensor intensity
  * Add ray_sensor demo
  * Verify correctness of gazebo_ros_ray_sensor output
  * Simplify ray_sensor using gazebo_ros conversions
  * Add gazebo_ros_ray_sensor
  * [ros2] Add noise to imu test (#801 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/801>)
    * Add noise to IMU test world
    * Remove bias
    * Relax test tolerance
  * [ros2] Port gazebo_ros_imu_sensor (#793 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/793>)
    * Move files to prepare for imu_sensor ROS2 port
    * Port gazebo_ros_imu_sensor
    * Address IMU Sensor PR comments
    * Remove empty <imu> tag


=== debian/control ===
Source: ros-crystal-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-camera-info-manager, ros-crystal-cv-bridge, ros-crystal-gazebo-dev, ros-crystal-gazebo-ros, ros-crystal-geometry-msgs, ros-crystal-image-transport, ros-crystal-nav-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-geometry-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-crystal-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-camera-info-manager, ros-crystal-gazebo-dev, ros-crystal-gazebo-ros, ros-crystal-geometry-msgs, ros-crystal-image-transport, ros-crystal-nav-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-tf2-geometry-msgs, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: Robot-independent Gazebo plugins for sensors, motors and dynamic reconfigurable components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-gazebo-plugins//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
